org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmReferentialConstraintView

- All Superinterfaces:
    JPAEdmBaseView

      public interface JPAEdmReferentialConstraintView
      extends JPAEdmBaseView

  A view on Java Persistence Entity Join Columns and Entity Data Model Referential Constraint. Each java persistence entity with properties annotated with Join Columns are transformed into Referential constraints.

  The implementation of the view provides access to EDM referential constraint created from Java Persistence Entity Join Columns. The implementation acts as a container for EDM referential constraint. A referential constraint is said to be consistent only if referential constraint role is consistent.

  See Also:
    `JPAEdmReferentialConstraintRoleView`
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReferentialConstraint` | `getEdmReferentialConstraint()` The method returns EDM referential constraint created from Java persistence Entity Join Columns.
    `String` | `getEdmRelationShipName()` The method returns the name of EDM Association.
    `boolean` | `isExists()` The method returns if a valid referential constraint exists for a given EDM association.

    - ### Methods inherited from interface org.apache.olingo.odata2.jpa.processor.api.model.JPAEdmBaseView

      `clean, getBuilder, getJPAEdmExtension, getJPAEdmMappingModelAccess, getJPAMetaModel, getpUnitName, isConsistent, isDefaultNamingSkipped`

- - ### Method Detail

    - #### getEdmReferentialConstraint

          ReferentialConstraint getEdmReferentialConstraint()

      The method returns EDM referential constraint created from Java persistence Entity Join Columns.
      Returns:
        an instance of type `ReferentialConstraint`

    - #### isExists

          boolean isExists()

      The method returns if a valid referential constraint exists for a given EDM association. If there exists a JPA entity relationship with join column having a valid "Name" and "ReferenceColumnName", that can be mapped to EDM properties in dependent and source EDM entities respectively then a valid EDM referential constraint exists.
      Returns:
        true if there exists a valid referential constraint else false.

    - #### getEdmRelationShipName

          String getEdmRelationShipName()

      The method returns the name of EDM Association.
      Returns:
        name of an EDM association

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.